iPhone Tight situation for my iPhone 3GS

Discussion in 'Jailbreaks and iOS Hacks' started by Admon-The, Mar 27, 2013.

  1. Admon-The macrumors newbie

    Joined:
    Mar 27, 2013
    #1
    I've recently gotten an iPhone 3GS from USA and I'm currently living in Malaysia. I upgraded it to iOS 6.1.2 and jailbroken it to find that it cannot be unlocked with ultrsn0w. Through various websites I found out that the baseband my phone is on (06.15.00) cannot be unlocked by ultrasn0w. Then I sent my phone to a phone repair shop to unlock it and the idiots working there downgraded it to as low as 4.1.1. WHat should I do now? I want to have iOS 6.1.2, jailbroken and unlocked. My computer does not seem to accept the custom ipsw I created with sn0wbreeze.(error 3194 keeps appearing) How do I fix this?
     
  2. cyber16 macrumors 6502

    Joined:
    Jan 12, 2013
    #2
    If i re-call that ipad baseband 06.15.00 is/was unlocked
    When downgraded to 4.1.1, was the baseband also downgraded?
    Do you have any SHSHs saved? check cydia with tiny umbrella or redsn0w.
    Maybe someone saved/up loaded them prior to your purchase and maybe they are good.
    It is a good thing that the old ipad baseband was removed, now you have a working GPS as well. Being that your 3GS is not a A4 or higher cpu iphone.
    You still have means to jailbreak. As for the unlock you know you have untrasn0w option and it maybe easier to go via eBay and purchase a factory unlock and just let itunes unlock it for you.
    I say head over to http://blog.iphone-dev.org/ Baseband Freedom and also http://www.iclarified.com/tutorials/iphone/index.php

    Try a different computer, re-download & rebuild the custom ispw.
    Just some suggestions
     
  3. gngan macrumors 68000

    gngan

    Joined:
    Jan 1, 2009
    Location:
    MacWorld
    #3
    BASEBAND WILL NEVER BE DOWNGRADED WHEN YOU RESTORE/UPDATE/DOWNGRADE iOS FIRMWARE

    OP: 06.15.00 is the iPad baseband that allows you to unlock. You will need to cook a custom ispw (because iTunes will not allow you to upgrade with that baseband) to upgrade to 6.1.2 if you have the blobs/SHSH. Check TU or Cydia and see if you have it. Then you can downgrade the baseband so your GPS works. Check iclarified.com
     
  4. cyber16 macrumors 6502

    Joined:
    Jan 12, 2013
    #4
    As I said, start at the Dev Team blog Baseband Freedom
    Then if you need more help, iclarified.
    There must be an echo in here ;)
     
  5. TriJetHero macrumors 601

    TriJetHero

    Joined:
    Oct 13, 2010
    Location:
    World
  6. Admon-The thread starter macrumors newbie

    Joined:
    Mar 27, 2013
    #6
    No, I do not have SHSH Blobs for 6.1.2. The baseband was 06.15.00 on iOS 6.1.2 and it is now 05.13.04 on iOS 4.something. I couldn't ultrasn0w with 06.15.00. So yes, the baseband was also downgraded along with the iOS downgrade. Is it true that iTunes only allows updating to the latest iOS and not to a older iOS?
     
  7. Admon-The thread starter macrumors newbie

    Joined:
    Mar 27, 2013
    #7
    And I was wondering if the Apple reseller shops do factory unlocks so I do not need to jailbreak anything.
     
  8. TriJetHero macrumors 601

    TriJetHero

    Joined:
    Oct 13, 2010
    Location:
    World
    #8
    Ultrasn0w works perfectly on 6.15.00 only GPS is disabled, only thing is ultrasn0w has not been updated for 6.1.2, there is a simple workaround for that.

    On 6.1.2 you needed ultrasn0w fixer to get it to work, a cydia package.

    Pity they downgraded the phone. If you don't have blobs for 6.1.2 you can't get restore to it.

    Any other blobs?

    Best option is to IMEI unlock, which carrier is it locked to?

    Other options now are to stay at 4.x and unlock or upgrade to any 5.x if you have blobs.

    You can always restore to 6.1.3 and tether jailbreak with redsn0w, install ultrasn0w fixer first and then ultrasn0w.
     
  9. Admon-The thread starter macrumors newbie

    Joined:
    Mar 27, 2013
    #9
    It's on AT&T. Unfortunately, I do not have SHSH blobs for any iOS. Can SHSH blobs be downloaded from some website? When is the untethered jailbreak coming for iOS 6.1.3?
     
  10. TriJetHero macrumors 601

    TriJetHero

    Joined:
    Oct 13, 2010
    Location:
    World
    #10
    AT&T IMEI unlocks are cheap.

    http://www.swiftunlocks.com
     
  11. Carlanga macrumors 604

    Carlanga

    Joined:
    Nov 5, 2009
    #11
    Get an IMEI unlock from the Internet, should be cheap since yours is in AT&T. You could also ask AT&T yourself, but you will spend more money trying to talk to them and ten processing it than doing it in the aftermarket since you live far away.

    SHSH blobs are phone specific; so only if the previous owner had them saved can you have them, but based on the company that managed to downgrade your phone I assume you do have the blobs saved. Checked at the top of cydia in green writing or use tinyumbrella or redsnow to check.

    If you have the old bootrom 3GS then you might get lucky for a jailbreak at any firmware if not then you can't
     
  12. novice121, Mar 30, 2013
    Last edited: Mar 30, 2013

    novice121 macrumors member

    Joined:
    Feb 15, 2013
    #12
    It's not problem really, whatever you do, do not upgrade to 6.1.3. And DON'T do an ultrasnow unlock!!!!!!!!!!!!!


    I was in a similar situation, had 5.1.1, saved blobs just in case, and updated to 6.1.2. I had a weird baseband version (not 05.13.04 but similar), so I had to use Ultrasnow to upgrade to the iPad baseband 6.15.00, then used Ultrasnow again to downgrade from the iPad Baseband to 05.13.04. In that specific baseband, I could do an IMEI unlock and no GPS problems.

    Code:
    http://www.iclarified.com/entry/index.php?enid=22652
    Code:
    http://www.iclarified.com/25144/how-to-upgrade-your-iphone-4-3gs-without-updating-the-baseband-windows
    The IMEI unlock was WAY better than the ultrasnow unlock, and it's cheap too. Use this guy, he's very reliable and respinds fast through email:



    Code:
    http://fastiphoneunlocks.webs.com/
    The website looks like crap, I know, but the guy is reliable.

    Edit: oops, sorry, didn't read about your blobls.
     

Share This Page